Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.forms
Class FormsNames

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.forms.FormsNames

    public class FormsNames

extends Object

Vocabulary definitions from /work/src/protege-owl/plugins/edu.stanford.smi.protegex.owl/forms/forms.owl

Author:
  Auto-generated by schemagen on 12 Dec 2006 11:28

Field Summary
`static com.hp.hpl.jena.ontology.OntClass` | `Boolean`
`static com.hp.hpl.jena.ontology.DatatypeProperty` | `booleanValue`
`static com.hp.hpl.jena.ontology.ObjectProperty` | `forClass`
`static com.hp.hpl.jena.ontology.OntClass` | `FormWidget`
`static com.hp.hpl.jena.ontology.ObjectProperty` | `forProperty`
`static com.hp.hpl.jena.ontology.OntClass` | `Integer`
`static com.hp.hpl.jena.ontology.DatatypeProperty` | `integer_value`
`static com.hp.hpl.jena.ontology.ObjectProperty` | `layoutData`
`static com.hp.hpl.jena.ontology.OntClass` | `LayoutData`
`static com.hp.hpl.jena.ontology.DatatypeProperty` | `name`
`static com.hp.hpl.jena.rdf.model.Resource` | `NAMESPACE` The namespace of the vocabulary as a resource
`static String` | `NS` The namespace of the vocabulary as a string
`static com.hp.hpl.jena.ontology.DatatypeProperty` | `preferredHeight`
`static com.hp.hpl.jena.ontology.DatatypeProperty` | `preferredWidth`
`static com.hp.hpl.jena.ontology.ObjectProperty` | `properties`
`static com.hp.hpl.jena.ontology.OntClass` | `Property`
`static com.hp.hpl.jena.ontology.ObjectProperty` | `property_list`
`static com.hp.hpl.jena.ontology.OntClass` | `PropertyList`
`static com.hp.hpl.jena.ontology.OntClass` | `String`
`static com.hp.hpl.jena.ontology.DatatypeProperty` | `string_value`
`static com.hp.hpl.jena.ontology.OntClass` | `Widget`
`static com.hp.hpl.jena.ontology.ObjectProperty` | `widgets`

Constructor Summary
`FormsNames()`

Method Summary
`static String` | `getURI()` The namespace of the vocabulary as a string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final String NS

  The namespace of the vocabulary as a string

  See Also:
    Constant Field Values

### NAMESPACE

    public static final com.hp.hpl.jena.rdf.model.Resource NAMESPACE

  The namespace of the vocabulary as a resource

### layoutData

    public static final com.hp.hpl.jena.ontology.ObjectProperty layoutData

### widgets

    public static final com.hp.hpl.jena.ontology.ObjectProperty widgets

### forProperty

    public static final com.hp.hpl.jena.ontology.ObjectProperty forProperty

### properties

    public static final com.hp.hpl.jena.ontology.ObjectProperty properties

### property_list

    public static final com.hp.hpl.jena.ontology.ObjectProperty property_list

### forClass

    public static final com.hp.hpl.jena.ontology.ObjectProperty forClass

### name

    public static final com.hp.hpl.jena.ontology.DatatypeProperty name

### booleanValue

    public static final com.hp.hpl.jena.ontology.DatatypeProperty booleanValue

### integer_value

    public static final com.hp.hpl.jena.ontology.DatatypeProperty integer_value

### preferredHeight

    public static final com.hp.hpl.jena.ontology.DatatypeProperty preferredHeight

### preferredWidth

    public static final com.hp.hpl.jena.ontology.DatatypeProperty preferredWidth

### string_value

    public static final com.hp.hpl.jena.ontology.DatatypeProperty string_value

### Integer

    public static final com.hp.hpl.jena.ontology.OntClass Integer

### LayoutData

    public static final com.hp.hpl.jena.ontology.OntClass LayoutData

### FormWidget

    public static final com.hp.hpl.jena.ontology.OntClass FormWidget

### Widget

    public static final com.hp.hpl.jena.ontology.OntClass Widget

### Boolean

    public static final com.hp.hpl.jena.ontology.OntClass Boolean

### String

    public static final com.hp.hpl.jena.ontology.OntClass String

### PropertyList

    public static final com.hp.hpl.jena.ontology.OntClass PropertyList

### Property

    public static final com.hp.hpl.jena.ontology.OntClass Property

Constructor Detail

### FormsNames

    public FormsNames()

Method Detail

### getURI

    public static String getURI()

  The namespace of the vocabulary as a string

  See Also:
    `NS`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.